TT SIM™

7.17.55.0

Released: May 15, 2015 File Size: 0
Package Contents:
No notes available.

Important Notes

This release includes the Aggregator, providing for the presentation and trading of like contracts on one trading interface, MD Trader. This initial release supports aggregation of cash fixed income products and futures contracts with the same tick size. It is strongly recommended that you use the Aggregator in simulation before live usage. Please refer to Algo SE Release Notes for more details on the Aggregator. Some features of the Aggregator include:
  • Aggregator MD Trader: Aggregator MD Trader® aggregates the markets of multiple instruments into a single market. Additional columns can be exposed on the Aggregator MD Trader® to show the separate markets of each individual leg.
  • Smart order routing: The Aggregator will allocate the user's desired quantity across the leg instruments to achieve the optimal price, using the user-specified configurations.
  • Re-balance: Once the orders have been allocated across the leg instruments, the Aggregator will continuously monitor all leg markets for liquidity that is immediately available for taking. On detection, the Aggregator will re-allocate resting orders to consume the liquidity, using the user-specified configurations.
  • Autospreader with an Aggregator leg: Configure an Autospreader® that has one or more legs set to use an Aggregator. The Autospreader® logic will treat the Aggregator leg as if it were a regular outright leg.

Why Should I Upgrade?

This version of TT SIM includes Algo SE 7.17.55 (or higher) which includes a fix for an issue with the TT Analytics Block where the Previous Property technical indicator was retrieving values from the incorrect bar.

System Requirements

This version of TT SIM includes Algo SE 7.17.55 (or higher) which includes a fix for an issue with the TT Analytics Block where the Previous Property technical indicator was retrieving values from the incorrect bar.

Installation Notes

This version of TT SIM requires:
  • X_TRADER 7.17.0 or higher
  • Guardian 7.17.0 or higher
  • Enhancements

    Fixes

    Known Issues